local L = AceLibrary("AceLocale-2.2"):new("SpamMeNot")

L:RegisterTranslations("enUS", function() return {
	["Spam"] = true,
	["Spam options."] = true,
	["Level Block"] = true,
	["Level based whisper blocking options."] = true,
	["Test"] = true,
	["Show the spam rating of the supplied text."] = true,
	["<text to test>"] = true,
	["Alert"] = true,
	["Alert in chat panel when a new spammer is blocked."] = true,
	["Enabled"] = true,
	["Disabled"] = true,
	["Inform"] = true,
	["Whether to inform the whisperer that their details are being looked up."] = true,
	["Open UI"] = true,
	["Opens the SpamMeNot UI."] = true,
	["Spammer List"] = true,	
	["Remove"] = true,
	["Remove a player from the spammer list."] = true,
	["<name of player>"] = true,	
	["%s was removed from the spammer list."] = true,
	["%s is not on the spammer list."] = true,	
	["Add"] = true,
	["Add a player to the spammer list."] = true,
	["%s is already on the spammer list."] = true,
	["You have added %s to your spammer list."] = true,
	["You can't add yourself to your own spammer list!"] = true,	
	["Auto Queue"] = true,
	["Automatically queue spammers for reporting."] = true,
	["Message"] = true,
	["The message displayed to a spammer that whispers you."] = true,
	["<your custom message>"] = true,	
	["Slash-Commands"] = {"/spammenot", "/smn"},
	["You have been identified as a gold spammer and have been automatically ignored."] = true,
	["Supplied text had a rating of %d."] = true,
	["%s is white listed but triggered the filter (rating %d)."] = true,
	["Gold spammer %s has been blocked (rating %d)."] = true,	
	["Msgs Blocked: |cffffffff%d|r"] = true,
	["Messages Blocked"] = true,
	["Please wait while I authorize you..."] = true,
	["Chat session has been authorized."] = true,
	["You must be at least level %d to contact me via whispers."] = true,	
	["Timed out while attempting to look up your details. Your message was undelivered."] = true,	
	["Level"] = true,
	["The minimum level of the people you will accept tells from."] = true,
	["%d message(s) have been blocked."] = true,
	["Count"] = true,
	["Shows the number of blocked messages."] = true, 
	["There is a new version of SpamMeNot available."] = true,
	["whispers"] = true,
	["Mark as spammer"] = true,
	["Update monitor"] = true,
	["Monitors the AceComm channel for SpamMeNot updates."] = true,
	["Details"] = true,
	["Innocent"] = true,
	["Queue"] = true,
	["Report"] = true,
	["Spammer:"] = true,
	["Rating:"]= true,
	["Date:"]= true,
	["Time:"]= true,
	["%s has been queued for reporting."] = true,
	["No spam reports are queued."] = true,
	["Cancel"] = true,
	["Accept"] = true,
	["Hi. The person/people below solicited me to engage in real money trading for in game items/services.\n{details}\n--\nRegards, {me}\n"] = true,
	["Report Template"] = true,
	["Text in {brackets} will be replaced with the relevent data."] = true,
	["Change the template used when reporting spammers to GMs."] = true,
	["Report Spammers"] = true,
	["Opens a GM ticket to report the flagged spammers."] = true,
	["Please ensure this information is accurate."] = true,	
	["Name"] = true,
	["spammer"] = true,
	["Date"] = true,
	["date"] = true,
	["Text"] = true,
	["text"] = true,
	["details"]	= true,
	["me"] = true,
	["Close"] = true,
	["Spams Blocked"] = true,	
	["Lifetime Blocked"] = true,
	["Reports Queued"] = true,
	["Left-Click"] = true,
	["Right-Click"] = true,
	["Menu"] = true,
	["You do not have a GM ticket open.  Click here to report spammers."] = true,
	["You already have a ticket open at this time."] = true,
	["Trade - City"] = true,
	["Trade Channel"] = true,
	["Whether or not to monitor the trade channel."] = true,
} end)

-- These words should all be lowercase.
function L:GetWeights()	
	return {
		["peons"] = 50,
		["p3ons"] = 50,
		["p30ns"] = 50,
		["pe0ns"] = 50,
		["pe0nz"] = 50,
		["peonz"] = 50,
		["p3onz"] = 50,
		["p30nz"] = 50,
		["4hire"] = 30,
		["p4hire"] = 50,
		["happy"] = 40,
		["worker"] = 25,
		["gm"] = 10,
		["working"] = 20,		
		["delivery"] = 30,
		["power"] = 20,		
		["level"] = 20,					
		["gold"] = 40,
		["gold"] = 40,
		["g0ld"] = 40,	
		["profession"] = 30,
		["buy"] = 20,
		["sell"] = 20,
		["payment"] = 20,
		["dollar"] = 30,		
		["pound"] = 30,
		["euro"] = 30,		
		[""] = 30,
		["$$"] = 30,
		[""] = 30,
		["offer"] = 15,
		["free"] = 15,
		["order"] = 15,		
		["fast"] = 15,
		["f4st"] = 15,
		["f45t"] = 15,
		["cheap"] = 15,
		["ch3ap"] = 15,
		["ch34p"] = 15,
		["price"] = 10,
		["pric3"] = 10,
		["pr1ce"] = 10,
		["pr1c3"] = 10,
		["low"] = 10,
		["courtious"] = 15,				
		["safe"] = 15,
		["special"] = 15,
		["service"] = 30,
		["24"] = 15,
		["7"] = 15,
		["p&l"] = 50,
		["days"] = 10,
		["discount"] = 20,
		["www"] = 25,
		[".com"] = 25,
		["banned"] = 15,
		["hi"] = 15,
		["web"] = 20,
		["site"] = 20,
		["welcome"] = 15,
		["wellcome"] = 15,
		["we"] = 15,
		["best"] = 15,
		["choice"] = 15,
		["mount"] = 15,
		[">>>"] = 10,
		["<<<"] = 10,
	}
end